From 007867dda6dc12ad578e4ffbfbf8bbb1671be3ed Mon Sep 17 00:00:00 2001
From: Tomasz Maciej Nowak <tomek_n@o2.pl>
Date: Mon, 1 Apr 2019 17:53:32 +0200
Subject: [PATCH 5/5] Remove support for VLC NPAPI plugin and replace it with
 stream playlist

---
 css/siteprefs.css           |   5 -
 css/styles.css              |  11 -
 live/img/playlist.png       | Bin 748 -> 0 bytes
 live/js/live/pageenhance.js |  20 --
 live/js/live/vlc.js         | 196 ----------------
 pages/Makefile              |   2 +-
 pages/multischedule.ecpp    |   2 -
 pages/pageelems.ecpp        |  35 +--
 pages/recordings.ecpp       |   1 -
 pages/remote.ecpp           |   2 +-
 pages/schedule.ecpp         |   1 -
 pages/vlc.ecpp              | 146 ------------
 po/cs_CZ.po                 | 431 +++++++++++++++++------------------
 po/de_DE.po                 | 431 +++++++++++++++++------------------
 po/es_ES.po                 | 431 +++++++++++++++++------------------
 po/fi_FI.po                 | 431 +++++++++++++++++------------------
 po/fr_FR.po                 | 435 +++++++++++++++++-------------------
 po/it_IT.po                 | 431 +++++++++++++++++------------------
 po/lt_LT.po                 | 431 +++++++++++++++++------------------
 po/nl_NL.po                 | 404 ++++++++++++++++-----------------
 po/pl_PL.po                 | 428 +++++++++++++++++------------------
 po/ru_RU.po                 | 431 +++++++++++++++++------------------
 po/sk_SK.po                 | 431 +++++++++++++++++------------------
 po/sv_SE.po                 | 431 +++++++++++++++++------------------
 24 files changed, 2412 insertions(+), 3155 deletions(-)
 delete mode 100644 live/img/playlist.png
 delete mode 100644 live/js/live/vlc.js
 delete mode 100644 pages/vlc.ecpp

diff --git a/live/js/live/pageenhance.js b/live/js/live/pageenhance.js
index dadbab2..74b0518 100644
--- a/live/js/live/pageenhance.js
+++ b/live/js/live/pageenhance.js
@@ -12,10 +12,6 @@ var PageEnhance = new Class({
 	  options: {
 		  epgLinkSelector: 'a[href^="epginfo.html?epgid"]',
 		  actionLinkSelector: 'a[href^="vdr_request/"]',
-		  vlcLinkSelector: 'a[href^="vlc.html?"]',
-		  vlcWinOptions: {
-			  size: { width: 720, height: 640 }
-			},
 		  editTimerSelector: 'a[href^="edit_timer.html?timerid"]',
 		  hintTipSelector: '*[title]',
 		  hintClassName: 'hint',
@@ -45,7 +41,6 @@ var PageEnhance = new Class({
 			$$(this.options.epgLinkSelector).each(this.epgPopup.bind(this));
 			this.addHintTips($$(this.options.hintTipSelector));
 			$$(this.options.actionLinkSelector).each(this.vdrRequest.bind(this));
-			$$(this.options.vlcLinkSelector).each(this.vlcRequest.bind(this));
 			$$(this.options.datePickerSelector).each(this.datePicker.bind(this));
 			// the following line activates timer editing in popup window.
 			// but it does not yet work like expected. So we leave it deactivated currently.
@@ -64,7 +59,6 @@ var PageEnhance = new Class({
 			elems = $$(sel);
 			this.addHintTips(elems);
 			$$('#' + id + ' ' + this.options.actionLinkSelector).each(this.vdrRequest.bind(this));
-			$$('#' + id + ' ' + this.options.vlcLinkSelector).each(this.vlcRequest.bind(this));
 		},
 
 	  // Epg Popup function. Apply to all elements that should
@@ -140,20 +134,6 @@ var PageEnhance = new Class({
 				}.bindWithEvent(this, el));
 		},
 
-	  // function that opens a window for streaming of tv data.
-	  vlcRequest: function(el){
-			el.addEvent('click', function(event, element){
-					var href = $pick(element.href, "");
-					if (href != "") {
-						href += "&async=1";
-						var bw = new BrowserWin("vlcstream", href, this.options.vlcWinOptions);
-						event.stop();
-						return false;
-					}
-					return true;
-				}.bindWithEvent(this, el));
-		},
-
 	  // change normal 'title'-Attributes into enhanced hinttips
 	  // usesd by domExtend and domReadySetup functions.
 	  addHintTips: function(elems){
diff --git a/pages/Makefile b/pages/Makefile
index a0d1ada..676bde8 100644
--- a/pages/Makefile
+++ b/pages/Makefile
@@ -11,7 +11,7 @@ INCLUDES += -I$(VDRDIR)/include -I..
 OBJS := menu.o recordings.o schedule.o multischedule.o screenshot.o   \
         timers.o whats_on.o switch_channel.o keypress.o remote.o	\
         channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
-        vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
+        searchtimers.o edit_searchtimer.o searchresults.o	\
         searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
         pause_recording.o stop_recording.o ffw_recording.o		\
         rwd_recording.o setup.o content.o epginfo.o timerconflicts.o  \
diff --git a/pages/multischedule.ecpp b/pages/multischedule.ecpp
index ad68236..89e0d94 100644
--- a/pages/multischedule.ecpp
+++ b/pages/multischedule.ecpp
@@ -413,7 +413,6 @@ std::vector<time_t>			times_start;
 </%cpp>
 	       <td> <div class="boxheader"> <div> <div><$ channel_names[channel] $> <# reply.sout() automatically escapes special characters to html entities #>
             <& pageelems.ajax_action_href action="switch_channel" tip=(tr("Switch to this channel.")) param=(channel_IDs[channel]) image="zap.png" alt="" &>
-            <& pageelems.vlc_stream_channel channelId=(channel_IDs[channel]) &>
             <& pageelems.m3u_playlist_channel channelId=(channel_IDs[channel]) &>
             </div></div> </div></td>
 	       <td class="time spacer"> &nbsp; </td>
@@ -581,7 +580,6 @@ std::vector<time_t>			times_start;
 %	}
      </select>
 % //     <& pageelems.ajax_action_href action="switch_channel" tip=(tr("Switch to this channel.")) param=(Channel->GetChannelID()) image="zap.png" alt="" &>
-% //     <& pageelems.vlc_stream_channel channelId=(Channel->GetChannelID()) &>
    </span>
 </form>
 </%def>
diff --git a/pages/pageelems.ecpp b/pages/pageelems.ecpp
index 723f4ff..18c2e5c 100644
--- a/pages/pageelems.ecpp
+++ b/pages/pageelems.ecpp
@@ -103,41 +103,13 @@ int update_status(1);
 <%cpp> if (LiveSetup().GetShowIMDb()) { </%cpp><a href="http://www.imdb.com/find?s=all&q=<$ StringUrlEncode(title) $>" target="_blank"><img src="<$ LiveSetup().GetThemedLink("img", "imdb.png") $>" alt="" <& tooltip.hint text=(tr("Find more at the Internet Movie Database.")) &>></img></a> <%cpp> } </%cpp>
 </%def>
 
-<# ---------------------------------------------------------------------- #>
-
-<%def vlc_stream_channel>
-<%args>
-	tChannelID channelId;
-</%args>
-<%cpp> if (LiveSetup().GetUseStreamdev() && LiveFeatures<features::streamdev_server>().Loaded()) { </%cpp><a href="vlc.html?channel=<$ channelId $>"><img src="<$ LiveSetup().GetThemedLink("img", "stream_button.png") $>" alt="" <& tooltip.hint text=(tr("Stream this channel into browser.")) &>></img></a><%cpp> } </%cpp>
-</%def>
-
-
-<# ---------------------------------------------------------------------- #>
-
-<%def vlc_stream_recording>
-<%args>
-	string recid;
-	string linkText;
-</%args>
-<%cpp>
-#if TNT_WATCHDOG_SILENCE
-{
-</%cpp><a href="vlc.html?recid=<$ recid $>"><img src="<$ LiveSetup().GetThemedLink("img", "stream_button.png") $>" alt="" <& tooltip.hint text=(tr("Stream this recording into browser.")) &>></img> <$ linkText $></a>
-<%cpp>
-}
-#endif
-</%cpp>
-</%def>
-
-
 <# ---------------------------------------------------------------------- #>
 
 <%def m3u_playlist_channel>
 <%args>
 	tChannelID channelId;
 </%args>
-<%cpp> if (LiveSetup().GetUseStreamdev() && LiveFeatures<features::streamdev_server>().Loaded()) { </%cpp><a href="playlist.m3u?channel=<$ channelId $>"><img src="<$ LiveSetup().GetThemedLink("img", "playlist.png") $>" alt="" <& tooltip.hint text=(tr("Stream this channel into media player.")) &>></img></a><%cpp> } </%cpp>
+<%cpp> if (LiveSetup().GetUseStreamdev() && LiveFeatures<features::streamdev_server>().Loaded()) { </%cpp><a href="playlist.m3u?channel=<$ channelId $>"><img src="<$ LiveSetup().GetThemedLink("img", "stream_button.png") $>" alt="" <& tooltip.hint text=(tr("Stream this channel into media player.")) &>></img></a><%cpp> } </%cpp>
 </%def>
 
 <# ---------------------------------------------------------------------- #>
@@ -150,7 +122,7 @@ int update_status(1);
 <%cpp>
 #if TNT_WATCHDOG_SILENCE
 {
-</%cpp><a href="playlist.m3u?recid=<$ recid $>"><img src="<$ LiveSetup().GetThemedLink("img", "playlist.png") $>" alt="" <& tooltip.hint text=(tr("Stream this recording into media player.")) &>></img> <$ linkText $></a>
+</%cpp><a href="playlist.m3u?recid=<$ recid $>"><img src="<$ LiveSetup().GetThemedLink("img", "stream_button.png") $>" alt="" <& tooltip.hint text=(tr("Stream this recording into media player.")) &>></img> <$ linkText $></a>
 <%cpp>
 }
 #endif
@@ -310,7 +282,6 @@ int update_status(1);
 		}
 		if ((duration == 0) || (elapsed >= 0)) {
 </%cpp>
-	<& pageelems.vlc_stream_channel channelId=(channelId) &>
 	<& pageelems.m3u_playlist_channel channelId=(channelId) &>
 <%cpp>
 		}
@@ -325,7 +296,7 @@ int update_status(1);
 		<td class="action leftcol <? lastCurrentChanel ? "bottomrow"?>"><& pageelems.event_timer epgid=(epgid) &></td>
 		<td class="action <? lastCurrentChanel ? "bottomrow"?>"><& pageelems.ajax_action_href action="switch_channel" tip=(tr("Switch to this channel.")) param=(channelId) image="zap.png" alt="" &></td>
 		<td class="action <? lastCurrentChanel ? "bottomrow"?>"><%cpp>if (LiveFeatures<features::epgsearch>().Recent() && eventId != 0) { </%cpp><a href="searchresults.html?searchplain=<$ StringUrlEncode(title) $>"><img src="<$ LiveSetup().GetThemedLink("img", "search.png") $>" alt="" <& tooltip.hint text=(tr("Search for repeats.")) &>></img></a><%cpp> } else { </%cpp><img src="img/transparent.png" width="16" height="16"><%cpp> } </%cpp></td>
-        <td class="action <? lastCurrentChanel ? "bottomrow"?>"><%cpp>if ((duration == 0)  || (elapsed > 0)) { </%cpp><& pageelems.vlc_stream_channel channelId=(channelId) &><& pageelems.m3u_playlist_channel channelId=(channelId) &><%cpp> } else { </%cpp><img src="img/transparent.png" width="16" height="16"><%cpp> } </%cpp></td>
+        <td class="action <? lastCurrentChanel ? "bottomrow"?>"><%cpp>if ((duration == 0)  || (elapsed > 0)) { </%cpp><& pageelems.m3u_playlist_channel channelId=(channelId) &><%cpp> } else { </%cpp><img src="img/transparent.png" width="16" height="16"><%cpp> } </%cpp></td>
 		<td class="action <? lastCurrentChanel ? "bottomrow"?>">
 <%cpp>
 			if (eventId != 0) {
diff --git a/pages/recordings.ecpp b/pages/recordings.ecpp
index 1b2ce5c..5436c83 100644
--- a/pages/recordings.ecpp
+++ b/pages/recordings.ecpp
@@ -331,7 +331,6 @@ for (recIter = recItems.begin(); recIter != recItems.end(); ++recIter) {
 	string title;
 </%args>
 <& pageelems.ajax_action_href action="play_recording" param=(id) tip=(tr("play this recording.")) image="play.png" alt="" &>
-<& pageelems.vlc_stream_recording recid=(id) &>
 <& pageelems.m3u_playlist_recording recid=(id) &>
 <& pageelems.imdb_info_href title=(title) &>
 <& recordings.edit_rec id=(id) &>
diff --git a/pages/remote.ecpp b/pages/remote.ecpp
index 7c43268..e9ab0ed 100644
--- a/pages/remote.ecpp
+++ b/pages/remote.ecpp
@@ -287,7 +287,7 @@ if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");
 <%def remote_actions>
 <b><$ tr("Selection") $></b>:&nbsp;
 <{	if ( LiveGrabImageManager().CanGrab()) {			}>
-	 <input type="radio" name="screenCon" id="screenCon_grab" onchange="changeScreenContent()"/>&nbsp;<label for="screenCon_grab"><$ tr("Snapshot interval") $>:</label> <select name="interval" onchange="ChangeInterval()"></select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<& pageelems.vlc_stream_channel channelId=(Channel->GetChannelID()) &> -
+	 <input type="radio" name="screenCon" id="screenCon_grab" onchange="changeScreenContent()"/>&nbsp;<label for="screenCon_grab"><$ tr("Snapshot interval") $>:</label> <select name="interval" onchange="ChangeInterval()"></select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -
 <{	} 				}>
  <input type="radio" name="screenCon" id="screenCon_osd" onchange="changeScreenContent()" />&nbsp;<label for="screenCon_osd">OSD</label> -
  <input type="radio" name="screenCon" id="screenCon_none" onchange="changeScreenContent()" />&nbsp;<label for="screenCon_osd"><$ tr("Stop") $></label>
diff --git a/pages/schedule.ecpp b/pages/schedule.ecpp
index 5a1dc34..beea3c6 100644
--- a/pages/schedule.ecpp
+++ b/pages/schedule.ecpp
@@ -175,7 +175,6 @@ if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");
      <label for="channel"><$ tr("Channel") $>:&nbsp;<span class="bold"><$ Channel->Number() $></span></label>
      <& channels_widget name=("channel") selected=(Channel ? *Channel->GetChannelID().ToString() : "") onchange=("document.forms.channels.submit()") &>
      <& pageelems.ajax_action_href action="switch_channel" tip=(tr("Switch to this channel.")) param=(Channel->GetChannelID()) image="zap.png" alt="" &>
-     <& pageelems.vlc_stream_channel channelId=(Channel->GetChannelID()) &>
      <& pageelems.m3u_playlist_channel channelId=(Channel->GetChannelID()) &>
    </span>
 </form>
